### Hierarchy

- DroppableDirective

## Index

### Outputs

- active
- dropping
- leave

### Constructors

- constructor

### Properties

- active
- dropping
- leave

### Methods

- handleDrag
- handleDrop
- handleLeave

## Constructors

### constructor

- new DroppableDirective(): DroppableDirective

- #### Returns DroppableDirective

## Properties

### active

@Output()
active: EventEmitter<boolean> = ...

- Defined in packages/angular/src/toolkit/draggable/droppable.directive.ts:7

### dropping

@Output()
dropping: EventEmitter<any> = ...

- Defined in packages/angular/src/toolkit/draggable/droppable.directive.ts:11

### leave

@Output()
leave: EventEmitter<any> = ...

- Defined in packages/angular/src/toolkit/draggable/droppable.directive.ts:9

## Methods

### handleDrag

@HostListener({"eventName":"'dragover'","args":"['$event']"})
@HostListener({"eventName":"'dragenter'","args":"['$event']"})

- handleDrag(event: DragEvent): void

- - Defined in packages/angular/src/toolkit/draggable/droppable.directive.ts:15

  #### Parameters

  - ##### event: DragEvent

  #### Returns void

### handleDrop

@HostListener({"eventName":"'drop'"})

- handleDrop(): void

- - Defined in packages/angular/src/toolkit/draggable/droppable.directive.ts:21

  #### Returns void

### handleLeave

@HostListener({"eventName":"'dragleave'"})

- handleLeave(): void

- - Defined in packages/angular/src/toolkit/draggable/droppable.directive.ts:27

  #### Returns void

Generated using TypeDoc